﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using igGridSample.Models;
using Infragistics.Web.Mvc;

namespace igGridSample.Controllers
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/

        public ActionResult Index()
        {
            ViewData["Categories"] = this.GetCategories().AsQueryable();
            return View(this.GetProducts().AsQueryable());
        }

        private List<Product> GetProducts()
        {
            List<Product> products = new List<Product>()
            {
                new Product() { ProductID = 1, Name = "Adjustable Race", ProductNumber = "AR-5381", CategoryID = 1 },
                new Product() { ProductID = 2, Name = "Bearing Ball", ProductNumber = "BA-8327", CategoryID = 2 },
                new Product() { ProductID = 3, Name = "BB Ball Bearing", ProductNumber = "BE-2349", CategoryID = 1 },
                new Product() { ProductID = 4, Name = "Headset Ball Bearings", ProductNumber = "BE-2908", CategoryID = 3 },
                new Product() { ProductID = 316, Name = "Blade", ProductNumber = "BL-2036", CategoryID = 3 },
                new Product() { ProductID = 317, Name = "LL Crankarm", ProductNumber = "CA-5965", CategoryID = 1 },
                new Product() { ProductID = 318, Name = "ML Crankarm", ProductNumber = "CA-6738", CategoryID = 2 },
                new Product() { ProductID = 319, Name = "HL Crankarm", ProductNumber = "CA-7457", CategoryID = 1 },
                new Product() { ProductID = 320, Name = "Chainring Bolts", ProductNumber = "CB-2903", CategoryID = 2 },
                new Product() { ProductID = 321, Name = "Chainring Nut", ProductNumber = "CN-6137", CategoryID = 2 }
            };

            return products;
        }

        private List<Category> GetCategories()
        {
            List<Category> categories = new List<Category>()
            {
                new Category() { CategoryID = 1, CategoryName = "Category1"},
                new Category() { CategoryID = 2, CategoryName = "Category2"},
                new Category() { CategoryID = 3, CategoryName = "Category3"},
                new Category() { CategoryID = 4, CategoryName = "Category4"}
            };
            return categories;
        }

        public void SaveData()
        {
            GridModel model = new GridModel();
            List <Transaction<Product>> products = model.LoadTransactions<Product>(Request.Form["ig_transactions"]);
        }
    }
}
